View Issue Details

IDProjectCategoryView StatusLast Update
0000019Port Requestspublic2009-02-26 18:35
Reporterak120Assigned Topsmedley 
PrioritynormalSeverityminorReproducibilityalways
Status feedbackResolutionreopened 
Summary0000019: Request: Taylor UUCP
DescriptionTaylor uucp <http://www.airs.com/ian/uucp.html>
TagsNo tags attached.

Activities

psmedley

2006-05-16 14:41

administrator   ~0000077

Will look at this when I get a few spare moments...

psmedley

2006-05-19 23:22

administrator   ~0000083

This built pretty much out of the box...

Binary package is at http://smedley.info/uucp-1.07.zip

note I haven't tested this at all cos I wouldn't know where to start!

psmedley

2006-05-24 19:33

administrator   ~0000099

Ported - raise a new ticket if there are problems with the port.

ak120

2006-06-25 21:09

reporter   ~0000143

I tested it with different configuration files in different locations (/etc, /usr/lib/uucp, ...) . But it doesn't work. It seems the config files were not found. Without knowing the build options it is impossible to do further testing for this issue.
1. Which style of config files is supported (HDB or Taylor) ?
2. Which location for config files is compiled in?

Thanks,
Andreas Kohl

psmedley

2006-06-25 22:05

administrator   ~0000144

I don't see anything in the log from configure to indicate which config file format....

it wsa built with default prefix as /uucp not /usr so config path would be off uucp not usr

According to 'uucp --help', you can use --config to specify the config file...

ak120

2006-06-26 01:35

reporter   ~0000145

So I will assume the default Taylor UUCP configuration file format.
But where in /uucp/... ?

The Log files are created in:
/usr/spool/uucp

from Log:
uucico - - (2006-05-28 19:29:11.52 26282) FATAL: uucpssh: System not found

The system is defined by 'sys' configuration file.

ak120

2006-06-26 03:25

reporter   ~0000146

You can run 'uuchk' to display the environment stuff.
On my system the config files are in directory '/uucp/conf/uucp/'.
It works now - but using pipe transport (Option -t) crashes uucico.
I will do more testing next time.

psmedley

2006-06-26 06:23

administrator   ~0000147

If you can send me a basic config file, I'll look into the crash with the pipe option....

psmedley

2009-02-26 07:36

administrator   ~0001203

Is this port still required - if so I'll take a look

ak120

2009-02-26 18:35

reporter   ~0001215

this port is limited. serial communications and uucico cause traps.

I'm currently using UUPC/2 for UUCP over TCP.

An example:
<http://www.onlamp.com/pub/a/onlamp/2004/01/09/uucp.html>

Issue History

Date Modified Username Field Change
2006-04-25 23:12 ak120 New Issue
2006-04-25 23:12 ak120 File Added: uucp-1.07.tar.gz
2006-05-16 14:41 psmedley Status new => assigned
2006-05-16 14:41 psmedley Assigned To => psmedley
2006-05-16 14:41 psmedley Note Added: 0000077
2006-05-19 23:11 psmedley File Deleted: uucp-1.07.tar.gz
2006-05-19 23:22 psmedley Note Added: 0000083
2006-05-19 23:22 psmedley Status assigned => feedback
2006-05-24 19:33 psmedley Status feedback => closed
2006-05-24 19:33 psmedley Note Added: 0000099
2006-05-24 19:33 psmedley Resolution open => fixed
2006-06-25 21:09 ak120 Status closed => feedback
2006-06-25 21:09 ak120 Resolution fixed => reopened
2006-06-25 21:09 ak120 Note Added: 0000143
2006-06-25 22:05 psmedley Note Added: 0000144
2006-06-26 01:35 ak120 Note Added: 0000145
2006-06-26 03:25 ak120 Note Added: 0000146
2006-06-26 06:23 psmedley Note Added: 0000147
2009-02-26 07:36 psmedley Note Added: 0001203
2009-02-26 18:35 ak120 Note Added: 0001215